{

    //护盾在力场中不减少持续时间

    "AbilityName":"Affix_ShieldNotReduceDuration_InField",

    "AbilityStacking":"Unique",

    "DefaultModifier":

    {

        "FieldEnterActions":

        [

            {

                "$type" : "MoleMole.ApplyModifier",

                "ModifierName" : "BuddyShieldNotReduceDuration",

                "Target" : "Buddy",

                "Predicates":

                [

                    {

                        "$type" : "MoleMole.ByIsLocalAvatar",

                        "Target" : "Target",

                        "IsLocalAvatar" : true

                    }

                ]

            }

        ],

        "FieldExitActions":

        [

            {

                "$type" : "MoleMole.RemoveModifier",

                "ModifierName" : "BuddyShieldNotReduceDuration",

                "Target" : "Buddy",

                "Predicates":

                [

                    {

                        "$type" : "MoleMole.ByIsLocalAvatar",

                        "Target" : "Target",

                        "IsLocalAvatar" : true

                    }

                ]

            }

        ]

    },

    "Modifiers":

    {

        "BuddyShieldNotReduceDuration":

        {

            "ModifierStacking":"Unique",

            "Duration": -1,

            "ThinkInterval" : 0.1,

            "OnThinkInterval" :

            [

                {

                    "$type" : "MoleMole.ModifyArcanaCommonPropertyAction",

                    "Target" : "Buddy",

                    "ArcanaProperty" :"ShieldDuration",

                    "Delta" : 0.1

                }

            ]     

        }

    }

}